%define module	SQL-Abstract
%define name	perl-%{module}
%define version 1.24
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
summary:	Generate SQL from Perl data structures
license:	Artistic
group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/SQL/%{module}-%{version}.tar.gz
buildarch:	noarch
buildroot:	%{_tmppath}/%{name}-%{version}

%description
This module was inspired by the excellent L<DBIx::Abstract>.
However, in using that module I found that what I really wanted
to do was generate SQL, but still retain complete control over my
statement handles and use the DBI interface. So, I set out to
create an abstract SQL generation module.

While based on the concepts used by DBIx::Abstract, there are
several important differences, especially when it comes to WHERE
clauses. I have modified the concepts used to make the SQL easier
to generate from Perl data structures and, IMO, more intuitive.
The underlying idea is for this module to do what you mean, based
on the data structures you provide it. The big advantage is that
you don't have to modify your code every time your data changes,
as this module figures it out.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/SQL
%{_mandir}/*/*



%changelog
* Thu Jul 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2009.0
+ Revision: 233435
- new version

* Wed Jul 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2009.0
+ Revision: 233039
- new version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.22-1mdv2008.1
+ Revision: 136347
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 1.22-1mdv2008.0
+ Revision: 23909
- 1.22


* Sun Mar 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdk
- New release 1.21

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdk
- New release 1.20
- fix source URL

* Tue Aug 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.19-1mdk
- new release
- rewrite spec file (cpan2rpm sux white bears)

* Thu Mar 17 2005 Bruno Cornec <bcornec@mandrakesoft.org> 1.18-1mdk
- Initial build.

